package com.ruoyi.syzy.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.syzy.mapper.BBusiMbtiRulesMapper;
import com.ruoyi.syzy.domain.BBusiMbtiRules;
import com.ruoyi.syzy.service.IBBusiMbtiRulesService;

/**
 * MBTI测评规则Service业务层处理
 * 
 * @author mingxue
 * @date 2021-08-15
 */
@Service
public class BBusiMbtiRulesServiceImpl implements IBBusiMbtiRulesService 
{
    @Autowired
    private BBusiMbtiRulesMapper bBusiMbtiRulesMapper;

    /**
     * 查询MBTI测评规则
     * 
     * @param id MBTI测评规则ID
     * @return MBTI测评规则
     */
    @Override
    public BBusiMbtiRules selectBBusiMbtiRulesById(Long id)
    {
        return bBusiMbtiRulesMapper.selectBBusiMbtiRulesById(id);
    }

    /**
     * 查询MBTI测评规则列表
     * 
     * @param bBusiMbtiRules MBTI测评规则
     * @return MBTI测评规则
     */
    @Override
    public List<BBusiMbtiRules> selectBBusiMbtiRulesList(BBusiMbtiRules bBusiMbtiRules)
    {
        return bBusiMbtiRulesMapper.selectBBusiMbtiRulesList(bBusiMbtiRules);
    }

    /**
     * 新增MBTI测评规则
     * 
     * @param bBusiMbtiRules MBTI测评规则
     * @return 结果
     */
    @Override
    public int insertBBusiMbtiRules(BBusiMbtiRules bBusiMbtiRules)
    {
        return bBusiMbtiRulesMapper.insertBBusiMbtiRules(bBusiMbtiRules);
    }

    /**
     * 修改MBTI测评规则
     * 
     * @param bBusiMbtiRules MBTI测评规则
     * @return 结果
     */
    @Override
    public int updateBBusiMbtiRules(BBusiMbtiRules bBusiMbtiRules)
    {
        return bBusiMbtiRulesMapper.updateBBusiMbtiRules(bBusiMbtiRules);
    }

    /**
     * 批量删除MBTI测评规则
     * 
     * @param ids 需要删除的MBTI测评规则ID
     * @return 结果
     */
    @Override
    public int deleteBBusiMbtiRulesByIds(Long[] ids)
    {
        return bBusiMbtiRulesMapper.deleteBBusiMbtiRulesByIds(ids);
    }

    /**
     * 删除MBTI测评规则信息
     * 
     * @param id MBTI测评规则ID
     * @return 结果
     */
    @Override
    public int deleteBBusiMbtiRulesById(Long id)
    {
        return bBusiMbtiRulesMapper.deleteBBusiMbtiRulesById(id);
    }
}
